Show / Hide Table of Contents

# Class GameFontLayoutPlan.Builder

Build a GameFontLayoutPlan.

##### Inheritance

System.Object
GameFontLayoutPlan.Builder

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface.GameFonts

###### Assembly: Dalamud.dll

##### Syntax

    public class Builder

### Constructors

| Improve this Doc View Source

#### Builder(ImFontPtr, FdtReader, String)

Initializes a new instance of the GameFontLayoutPlan.Builder class.

##### Declaration

    public Builder(ImFontPtr fontPtr, FdtReader fdt, string text)

##### Parameters

Type | Name | Description
--- | --- | ---
ImFontPtr | fontPtr | Corresponding ImFontPtr.
FdtReader | fdt | FDT file to base on.
System.String | text | Text.

### Methods

| Improve this Doc View Source

#### Build()

Builds the layout plan.

##### Declaration

    public GameFontLayoutPlan Build()

##### Returns

Type | Description
--- | ---
GameFontLayoutPlan | Newly created layout plan.

| Improve this Doc View Source

#### WithHorizontalAlignment(GameFontLayoutPlan.HorizontalAlignment)

Sets the horizontal alignment of the text.

##### Declaration

    public GameFontLayoutPlan.Builder WithHorizontalAlignment(GameFontLayoutPlan.HorizontalAlignment horizontalAlignment)

##### Parameters

Type | Name | Description
--- | --- | ---
GameFontLayoutPlan.HorizontalAlignment | horizontalAlignment | Horizontal alignment.

##### Returns

Type | Description
--- | ---
GameFontLayoutPlan.Builder | This.

| Improve this Doc View Source

#### WithMaxWidth(Int32)

Sets the maximum width of the text.

##### Declaration

    public GameFontLayoutPlan.Builder WithMaxWidth(int maxWidth)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | maxWidth | Maximum width in pixels.

##### Returns

Type | Description
--- | ---
GameFontLayoutPlan.Builder | This.

| Improve this Doc View Source

#### WithSize(Single)

Sets the size of resulting text.

##### Declaration

    public GameFontLayoutPlan.Builder WithSize(float size)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | size | Size in pixels.

##### Returns

Type | Description
--- | ---
GameFontLayoutPlan.Builder | This.